com.google.appengine.api.images

## Interface Image

- All Superinterfaces:
    java.io.Serializable

      public interface Image
      extends java.io.Serializable

  `Image` represents an image that can be manipulated by the `ImagesService`.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Image.Format` Image formats usable by the images api.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `BlobKey` | `getBlobKey()` If this image is backed by a blob, return the associated `BlobKey`.
    `Image.Format` | `getFormat()` Gets the encoding format of the image.
    `int` | `getHeight()` Gets the height of the image.
    `byte[]` | `getImageData()` Gets the raw imageData of the image.
    `int` | `getWidth()` Gets the width of the image.
    `void` | `setImageData(byte[] imageData)` Sets the image to contain the image data contained in `imageData`.

- - ### Method Detail

    - #### getWidth

          int getWidth()

      Gets the width of the image.
      Returns:
        image width
      Throws:
        `java.lang.IllegalArgumentException` - If the `imageData` provided is invalid

    - #### getHeight

          int getHeight()

      Gets the height of the image.
      Returns:
        image height
      Throws:
        `java.lang.IllegalArgumentException` - If the `imageData` provided is invalid

    - #### getFormat

          Image.Format getFormat()

      Gets the encoding format of the image.
      Returns:
        image format
      Throws:
        `java.lang.IllegalArgumentException` - If the `imageData` provided is invalid

    - #### getImageData

          byte[] getImageData()

      Gets the raw imageData of the image.
      Returns:
        the image data of the image

    - #### setImageData

          void setImageData(byte[] imageData)

      Sets the image to contain the image data contained in `imageData`.
      Parameters:
        `imageData` - new image data for the image to store
      Throws:
        `java.lang.IllegalArgumentException` - If `imageData` is null or empty

    - #### getBlobKey

          BlobKey getBlobKey()

      If this image is backed by a blob, return the associated `BlobKey`. If this method returns non-`null`, none of the other methods will currently be available.